VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsBrush"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private Declare Function CreateSolidBrush Lib "gdi32" (ByVal crColor As Long) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long


Private mlngColor As Long
Private mlngBrush As Long

Public Property Get GetBrush() As Long

    GetBrush = mlngBrush
    
End Property

Public Property Get GetColor() As Long

    GetColor = mlngColor

End Property

' Brush erzeugen
Public Function Create(ByVal vlngColor As Long) As Boolean
    
    ' es wurde bereits ein Brush erzeugt -> alten entfernen
    If mlngBrush <> 0 Then
        Delete
    End If

    ' Brush erzeugen
    mlngBrush = CreateSolidBrush(vlngColor)

    ' Eigenschaften speichern
    mlngColor = vlngColor
    

    Create = True

End Function

' Brush lschen
Public Function Delete() As Boolean

    ' prfen, ob Brush existiert
    If mlngBrush <> 0 Then
    
        ' Brush aus Speicher entfernen
        DeleteObject mlngBrush
        
    End If


    Delete = True

End Function

Private Sub Class_Initialize()

    mlngBrush = 0

End Sub

Private Sub Class_Terminate()

    ' Brush aus Speicher entfernen
    Delete

End Sub


