VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsRect"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private mlngLeft As Long
Private mlngTop As Long
Private mlngRight As Long
Private mlngBottom As Long

Public Type RECT
    lngLeft As Long
    lngTop As Long
    lngRight As Long
    lngBottom As Long
End Type

Public Property Get Left() As Long

    Left = mlngLeft
    
End Property

Public Property Let Left(ByVal vlngValue As Long)

    mlngLeft = vlngValue
    
End Property

Public Property Get Right() As Long

    Right = mlngRight
    
End Property

Public Property Let Right(ByVal vlngValue As Long)

    mlngRight = vlngValue
    
End Property

Public Property Get Top() As Long

    Top = mlngTop
    
End Property

Public Property Let Top(ByVal vlngValue As Long)

    mlngTop = vlngValue
    
End Property

Public Property Get Bottom() As Long

    Bottom = mlngBottom
    
End Property

Public Property Let Bottom(ByVal vlngValue As Long)

    mlngBottom = vlngValue
    
End Property

' Breite des Rechtecks ermitteln
Public Function GetWidth() As Long

    GetWidth = mlngRight - mlngLeft

End Function

' Hhe des Rechtecks ermitteln
Public Function GetHeight() As Long

    GetHeight = mlngBottom - mlngTop

End Function

' Kopie des Rechtecks erzeugen
Public Function Clone() As clsRect

    Dim objRectClone As clsRect
    
    
    Set objRectClone = New clsRect
    
    ' Attribute zuweisen
    With objRectClone
        .Left = mlngLeft
        .Right = mlngRight
        .Top = mlngTop
        .Bottom = mlngBottom
    End With
    
    
    Set Clone = objRectClone
    
    Set objRectClone = Nothing

End Function

' prfen, ob sich ein Punkt im Rechteck befindet
Public Function IsPointInRect(ByVal vobjPoint As clsPoint) As Boolean

    Dim blnIsPointInRect As Boolean
    
    
    blnIsPointInRect = False
    
    With vobjPoint

        If .x >= mlngLeft And .x <= mlngRight Then
            If .y >= mlngTop And .y <= mlngBottom Then
                blnIsPointInRect = True
            End If
        End If

    End With
    
    
    IsPointInRect = blnIsPointInRect

End Function

' Rechteck als Typ RECT zurckgeben
Public Function GetRECT() As RECT

    With GetRECT
        .lngLeft = mlngLeft
        .lngTop = mlngTop
        .lngRight = mlngRight
        .lngBottom = mlngBottom
    End With

End Function
