Attribute VB_Name = "modMain"
'****************************** modMain.bas ******************************************
' Autor:           Interflo(@gmx.de)
' Erstellt:        05.12.2005
' Letzte nderung: 26.12.2005
' Erstellt fr:    www.ActiveVb.de - Weihnachtsausschreibung 2005
'*************************************************************************************

Public Declare Function BitBlt Lib "gdi32.dll" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Public Declare Function DrawText Lib "user32.dll" Alias "DrawTextA" (ByVal hdc As Long, ByVal lpStr As String, ByVal nCount As Long, ByRef lpRect As Rect, ByVal wFormat As Long) As Long
Public Declare Function SetBkColor Lib "gdi32.dll" (ByVal hdc As Long, ByVal crColor As Long) As Long
Public Declare Function SetTextColor Lib "gdi32.dll" (ByVal hdc As Long, ByVal crColor As Long) As Long
Public Declare Function IntersectRect Lib "user32.dll" (ByRef lpDestRect As Rect, ByRef lpSrc1Rect As Rect, ByRef lpSrc2Rect As Rect) As Long
Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public Declare Function SetBkMode Lib "gdi32.dll" (ByVal hdc As Long, ByVal nBkMode As Long) As Long

Public Const DT_NOCLIP As Long = &H100
Public Const DT_NOPREFIX As Long = &H800
Public Const DT_WORD_ELLIPSIS As Long = &H40000
Public Const DT_SINGLELINE As Long = &H20
Public Const DT_BOTTOM As Long = &H8
Public Const DT_TOP As Long = &H0

Public Const SRCCOPY As Long = &HCC0020

Public Const OPAQUE As Long = 2

Public Type Rect
  Left As Long
  Top As Long
  Right As Long
  Bottom As Long
End Type

Public Type POINTAPI
  x As Long
  y As Long
End Type

'********************************************************************************************
' CopyFont - Prozedur                                                                       '
'                                                                                           '
' Erstellt den Klon einer Schrift                                                           '
'                                                                                           '
' - - - - - - - - - - - - - - -                                                             '
' Parameter:        Beschreibung:                                                           '
' srcFont           Quellschrift                                                            '
' destFont          Zielschrift                                                             '
'********************************************************************************************

Public Sub CopyFont(srcFont As StdFont, destFont As StdFont)
  destFont.Name = srcFont.Name
  destFont.Size = srcFont.Size
  destFont.Charset = srcFont.Charset
  destFont.Weight = srcFont.Weight
  destFont.Bold = srcFont.Bold
  destFont.Italic = srcFont.Italic
  destFont.Underline = srcFont.Underline
  destFont.Strikethrough = srcFont.Strikethrough
End Sub

'********************************************************************************************
' Hexcode2Long - Funktion                                                                   '
'                                                                                           '
' Wandelt Hexcode in Longzahl um                                                            '
'                                                                                           '
' Quelle: ActiveVb.de - Tipps & Tricks archiv                                               '
'                                                                                           '
' - - - - - - - - - - - - - - -                                                             '
' Parameter:        Beschreibung:                                                           '
' Hexcode           Hexcode der Umgewandelt werden soll                                     '
'                                                                                           '
' - - - - - - - - - - - - - - -                                                             '
' Rckgabewerte: Longzahl                                                                   '
'********************************************************************************************

Public Function Hexcode2Long(Hexcode As String) As Long
    Dim R As Integer
    Dim G As Integer
    Dim B As Integer
    Dim T As String
    
    T = Replace(Hexcode, "#", "")
    R = Val("&H" & Mid(T, 1, 2))
    G = Val("&H" & Mid(T, 3, 2))
    B = Val("&H" & Mid(T, 5, 2))
    
    Hexcode2Long = RGB(R, G, B)
End Function

