Attribute VB_Name = "modParser"
Option Explicit

Public Enum ETokenType
    ETT_Invalid

    ETT_Text
    ETT_LineBreak

    ETT_BoldStart
    ETT_BoldStop

    ETT_ItalicStart
    ETT_ItalicStop

    ETT_UnderlineStart
    ETT_UnderlineStop

    ETT_HigherStart
    ETT_HigherStop

    ETT_LowerStart
    ETT_LowerStop

    ETT_ColorStart
    ETT_ColorStop

    ETT_FontStart
    ETT_FontStop

    ETT_FontSizeStart
    ETT_FontSizeStop

    ETT_EOS
End Enum

Public Type TToken
    TT_Text     As String
    TT_Font     As String
    TT_FontSize As Long
    TT_Color    As Long
    TT_Type     As ETokenType
End Type
