VERSION 5.00
Begin VB.UserControl FoxLabel 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fest Einfach
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ControlContainer=   -1  'True
   FillStyle       =   0  'Ausgefllt
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   FontTransparent =   0   'False
   ForwardFocus    =   -1  'True
   KeyPreview      =   -1  'True
   MaskColor       =   &H00000000&
   PropertyPages   =   "FoxLabel.ctx":0000
   ScaleHeight     =   3600
   ScaleWidth      =   4800
End
Attribute VB_Name = "FoxLabel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'||||||||||||||||||||||||||||||||||||||||||||
'||||||||||||||||||||||||||||||||||||||||||||
'|||||||     markup language label    |||||||
'|||||||       "FoxLabel" V 1.0       |||||||
'|||||||    (c) 2005 Andreas Fuchs    |||||||
'|||||||       freakwave2@gmx.de      |||||||
'||||||||||||||||||||||||||||||||||||||||||||
'||||||||||||||||||||||||||||||||||||||||||||

'Struktur zur Defnition von Textattributen
Private Type tAtt
    color As Long
    Position As Long    'Hoch- oder Tiefgestellt
    Location As Long    'Position im "sichtbaren visTxt"
    Font As New StdFont
End Type

Dim Data As String  'Quelltext
Dim visTxt As String  'sichtbarer visTxt
Dim Att() As tAtt   '"Attributpunkte" - Stellen an denen sich die Formatierung ndern soll
Dim ACount As Long  'Anzahl von Att()
Dim AIndex As Long  'aktueller Index von Att()

Dim AttStore() As Long  'Indexierte Attribute, (Templates)
Dim sCount As Long      'Anzahl

Dim Lineheight As Single    'aktuelle Zeilenhhe


Dim m_Quelltext As String   'Eigenschaftsvariablen

'Ereignisdeklarationen:
Event Click() 'MappingInfo=UserControl,UserControl,-1,Click
Attribute Click.VB_Description = "Tritt auf, wenn der Benutzer eine Maustaste ber einem Objekt drckt und wieder loslt."
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseMove
Attribute MouseMove.VB_Description = "Tritt auf, wenn der Benutzer die Maus bewegt."
'...

Public Property Get Quelltext() As String
    Quelltext = m_Quelltext
End Property

Public Property Let Quelltext(ByVal New_Quelltext As String)
    m_Quelltext = New_Quelltext
    PropertyChanged "Quelltext"
    
    Interprete visTxt, m_Quelltext  'Quelltext nach Formatierungen durchsuchen und setzen
    Data = m_Quelltext
    Draw
End Property

Public Property Get Text() As String
    Text = visTxt
End Property

Public Property Let Text(ByVal New_Quelltext As String)
    visTxt = Text
    Draw
End Property

Private Sub UserControl_Initialize()
    'Das erste Textattribut ist die Standardformatierung des UserForms
    ReDim Preserve Att(0)
    Set Att(0).Font = UserControl.Font
    Att(0).Location = 1
    ReDim Preserve AttStore(0)
End Sub

Private Sub UserControl_Paint()
    Draw
End Sub

Private Sub Draw()
Dim i As Long
Dim e As Long

Dim Dat As String
Dim Pos As Long

    Dat = visTxt
    With UserControl
        .Cls    'lschen
        Set .Font = Att(0).Font     'Standardattribute setzen
        .ForeColor = Att(0).color   '...
       
        
        e = 1
        .CurrentX = 0
        .CurrentY = 0
        Lineheight = 0
        
        Do While AIndex < ACount And Att(AIndex).Location < 1
            AIndex = AIndex + 1
        Loop
        
        For i = 1 To Len(Dat)
            
            'FORMATIERUNGSPUNKT ERREICHT ? -> WORT SCHREIBEN
            If Att(AIndex).Location = i Then
                UserControl.Print testMID(Dat, e, i - e);   'Davor liegenden visTxt ausgeben
                Set .Font = Att(AIndex).Font            'neue Schriftart setzen
                Select Case Att(AIndex).Position        'Hoch-,Tiefstellung berprfen
                    Case 0:
                    'normal
                        If Pos = -1 Then .CurrentY = .CurrentY - Lineheight
                        Pos = 0
                        .Font.Size = Att(AIndex).Font.Size
                    Case 1:
                    'hochgestellt
                        .Font.Size = Att(AIndex).Font.Size / 2
                        Pos = 1
                    Case -1:
                    'tiefgestellt
                        .CurrentY = .CurrentY + TextHeight(testMID(Dat, i, 1)) / 2
                        .Font.Size = Att(AIndex).Font.Size / 2
                        Pos = -1
                        Lineheight = TextHeight(testMID(Dat, i, 1))
                End Select
                .ForeColor = Att(AIndex).color
                e = i
                If AIndex < ACount Then AIndex = AIndex + 1
            End If
            If Att(AIndex).Location < i Then _
            If AIndex < ACount Then AIndex = AIndex + 1
            
            'LEERZEICHEN GEFUNDEN ? -> WORT SCHREIBEN
            'Wenn ein Leerzeichen kommt, wird geschaut
            'ob der Abstand zum Rand noch reicht. Ist dies
            'der Fall wird der visTxt ausgegeben, anderfalls wird vorher
            'in die nchste Zeil gesprungen:
            Select Case testMID(Dat, i, 1)
                Case " ":
                    'Abstand zum Rand:
                    If .CurrentX + TextWidth(testMID(Dat, e, i - e)) >= .Width - 200 Then
                        .CurrentY = .CurrentY + Lineheight  'nchste Zeile
                        .CurrentX = 0
                        Lineheight = 0
                        e = e + 1   'Leerzeichen nicht mitschreiben
                    End If
                    'Da die Zeilenhhe mit der Schriftgre variiert, richtet sich
                    'Lineheight nach der grten Texthhe
                    If .TextHeight(testMID(Dat, e, i - e)) > Lineheight Then Lineheight = .TextHeight(testMID(Dat, e, i - e))
                    UserControl.Print testMID(Dat, e, i - e);   'visTxt ausgeben
                    e = i
                
            End Select
            
            'RETURN GEFUNDEN ? -> WORT SCHREIBEN
            Select Case testMID(Dat, i, 2)
                Case vbNewLine:
                    If .TextHeight(testMID(Dat, e, i - e)) > Lineheight Then Lineheight = .TextHeight(testMID(Dat, e, i - e))
                    UserControl.Print testMID(Dat, e, i - e);  'visTxt ausgeben
                    e = i + 2       'Return nicht mitschreiben
                    .CurrentY = .CurrentY + Lineheight  'nchste Zeile
                    .CurrentX = 0
                    Lineheight = 0
                    
            End Select
            
            
        Next
    End With
End Sub

Private Sub Interprete(OutText As String, Data As String)
Dim i As Long
Dim e As Long
Dim k As Long
Dim lastk As Long
Dim Symbol As String
Dim s As Long
Static lim As Long

Dim NewVal As Long
Dim partText As String

    e = 1
    k = 1
    lastk = 1
    OutText = ""
    ACount = 0
    AIndex = 0
    ReDim Att(0)
    lim = 20
    Set UserControl.Font = Att(0).Font
    
    For i = 1 To Len(Data)
        Select Case testMID(Data, i, 1)
            'ANFANG EINES STERUERPARAMETERS
            Case "<": '<- ANFHRUNGSZEICHEN
                
                'Da die Lnge eines Symbols verschieden sein kann,
                'muss nach dem Schlusszeichen gesucht werden:
                
                If lim < 5 Then lim = 5
                For s = 1 To lim
                    Symbol = testMID(Data, i + s, 1)
                    Select Case Symbol
                        'ENDE EINES STERUERPARAMETERS
                        Case ">": '<- SCHLUSSZEICHEN
                            
                            
                            partText = testMID(Data, e, i - e)  'Alles auer den Parametern in den
                            OutText = OutText & partText        'sichtbaren visTxt kopieren.
                            
                            k = k + Len(partText)       'Index im sichtbaren visTxt
                            
                            If lastk <> k Then AddAtt k 'Aufeinander folgende Parameter in einem
                                                        'Objekt zusammenfassen, d.h. kein neues
                                                        'Attributobjekt.
                            lastk = k
                            
                            e = i + 1 + s   'Indizes um die STERUERPARAMETERlnge anpassen
                            
                            
                            'Wenn kein Befehl zwischen den Klammern steht, For verlassen
                            If s = 1 Then Exit For
                            
                            '|||||||||||||||||||||||||||||||||||||||||||||||||||||||
                            '|||||||||||||||||||||||||||||||||||||||||||||||||||||||
                            'BEFEHLE ZUR FORMATIERUNG
                            Select Case testMID(Data, i + 1, s - 1)
                                'Fett, Kursiv, Unterstrichen oder Durchgestrichen
                                Case "b", "B":
                                    Att(ACount).Font.Bold = True
                                Case "/b", "/B":
                                    Att(ACount).Font.Bold = False
                                Case "i", "I":
                                    Att(ACount).Font.Italic = True
                                Case "/i", "/I":
                                    Att(ACount).Font.Italic = False
                                Case "u", "U":
                                    Att(ACount).Font.Underline = True
                                Case "/u", "/U":
                                    Att(ACount).Font.Underline = False
                                Case "s", "S":
                                    Att(ACount).Font.Strikethrough = True
                                Case "/s", "/S":
                                    Att(ACount).Font.Strikethrough = False
                                
                                
                                'Hoch- oder Tiefgestellt
                                Case "h", "H":
                                    Att(ACount).Position = 1
                                Case "l", "L":
                                    Att(ACount).Position = -1
                                Case "/l", "/L", "/h", "/H":
                                    Att(ACount).Position = 0
                                
                                'Attribute zurcksetzen
                                Case "/":
                                    SetAtt ACount, 0
                                    
                                'Befehle mit variabeln Parametern
                                Case Else:
                                    
                                    Select Case testMID(Data, i + 1, 1)
                                        'Schriftfarbe
                                        Case "c", "C":
                                            Att(ACount).color = GetPalettColor(Val(testMID(Data, i + 2, s - 2)))
                                            
                                        'Schriftart laden
                                        Case "f", "F":
                                            Att(ACount).Font.Name = testMID(Data, i + 2, s - 2)
                                        
                                        'aktuelles SchriftAttribut zwischenspeichern
                                        Case "a", "A":
                                            StoreAtt testMID(Data, i + 2, s - 2)
                                            Att(ACount).Location = Att(ACount).Location - 1
                                            lastk = 0   'Objekterstellung erzwingen
                                        
                                        'Schriftgre
                                        Case "g", "G":
                                            NewVal = Abs(Val(testMID(Data, i + 2, s - 2)))
                                            If NewVal > 0 Then Att(ACount).Font.Size = NewVal
                                            
                                        'maximale Parameterlnge (Lim)
                                        'Beeinflusst die Geschwindigkeit,
                                        'ermglicht aber die Eingabe von langen
                                        'Schrifttypdateien
                                        Case "m", "M":
                                            lim = testMID(Data, i + 2, s - 2)
                                            ACount = ACount - 1
                                        
                                        
                                        'SchriftAttribut aus Zwischenspeicher
                                        Case Else:
                                            SetAtt ACount, GetStoredAtt(Val(testMID(Data, i + 1, s - 1)))
                                        
                                    End Select
                            End Select
                            
                            Exit For
                            '|||||||||||||||||||||||||||||||||||||||||||||||||||||||
                            '|||||||||||||||||||||||||||||||||||||||||||||||||||||||
                        
                        Case "<":
                        'Folgt ein weiters Anfhrungszeichen, dann For verlassen
                        'und im nchsten Durchlauf nach einem STERUERPARAMETER suchen
                            Exit For
                    End Select
                Next
        End Select
    Next
    
    OutText = OutText & testMID(Data, e, i - e) & " "   '<- Das Leerzeichen dient als Steuersymbol
End Sub

Private Function GetPalettColor(Val As Long) As Long
    If Val < 16 And Val > 0 Then GetPalettColor = QBColor(Val)
End Function

Private Sub AddAtt(Pos As Long)
'Neuen Attributpunkt setzen

    ACount = ACount + 1
    ReDim Preserve Att(ACount)
    
    'Die Werte eines vorherigen Attributpunktes bernehmen
    SetAtt ACount, ACount - 1
    Att(ACount).Location = Pos
End Sub

Private Sub SetAtt(destIndex As Long, srcIndex As Long)
    With Att(destIndex)
        .Font = Att(srcIndex).Font
        .color = Att(srcIndex).color
        .Position = Att(srcIndex).Position
    End With
    With Att(destIndex).Font
        .Bold = Att(srcIndex).Font.Bold
        .Size = Att(srcIndex).Font.Size
        .Italic = Att(srcIndex).Font.Italic
        .Strikethrough = Att(srcIndex).Font.Strikethrough
        .Underline = Att(srcIndex).Font.Underline
        .Italic = Att(srcIndex).Font.Italic
    End With
End Sub

Private Sub StoreAtt(Index As Long)
    If Index > sCount Then
        sCount = Index
        ReDim Preserve AttStore(sCount)
    End If
    If Index >= 0 Then AttStore(Index) = ACount
End Sub

Private Function GetStoredAtt(Index As Long) As Long
    If Index >= 0 And Index <= sCount Then GetStoredAtt = AttStore(Index)
End Function

Private Function testMID(visTxt As String, Start As Long, Lenght As Long) As String
    If Start > 0 And Lenght > 0 Then testMID = Mid(visTxt, Start, Lenght) Else testMID = ""
End Function

Private Sub UserControl_Resize()
    Interprete visTxt, Data
    Draw
End Sub




'''|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
'''|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
'''||||||||||||         Labeleigenschaften         |||||||||||||
'''|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
'''|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||


Public Property Get Appearance() As Integer
Attribute Appearance.VB_Description = "Gibt an oder legt fest, ob ein Objekt zur Laufzeit mit 3D-Effekten ausgegeben wird oder nicht."
    Appearance = UserControl.Appearance
End Property

Public Property Let Appearance(ByVal New_Appearance As Integer)
    If New_Appearance >= 0 And New_Appearance < 2 Then _
    UserControl.Appearance() = New_Appearance
    PropertyChanged "Appearance"
End Property

Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Gibt die Hintergrundfarbe zurck, die verwendet wird, um Text und Grafik in einem Objekt anzuzeigen, oder legt diese fest."
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

Public Property Get BorderStyle() As Integer
Attribute BorderStyle.VB_Description = "Gibt den Rahmenstil fr ein Objekt zurck oder legt diesen fest."
    BorderStyle = UserControl.BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
    If New_BorderStyle >= 0 And New_BorderStyle < 2 Then _
    UserControl.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property

Private Sub UserControl_Click()
    RaiseEvent Click
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

'Eigenschaften fr Benutzersteuerelement initialisieren
Private Sub UserControl_InitProperties()
    m_Quelltext = m_def_Quelltext
End Sub

'Eigenschaftenwerte vom Speicher laden
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    UserControl.Appearance = PropBag.ReadProperty("Appearance", 1)
    UserControl.BackColor = PropBag.ReadProperty("BackColor", &HFFFFFF)
    UserControl.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    m_Quelltext = PropBag.ReadProperty("Quelltext", UserControl.Name)
End Sub

'Eigenschaftenwerte in den Speicher schreiben
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Appearance", UserControl.Appearance, 1)
    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &HFFFFFF)
    Call PropBag.WriteProperty("BorderStyle", UserControl.BorderStyle, 1)
    Call PropBag.WriteProperty("Quelltext", m_Quelltext, UserControl.Name)
End Sub

