VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private Declare Function CreatePen Lib "gdi32" (ByVal nPenStyle As Long, ByVal nWidth As Long, ByVal crColor As Long) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long


Private mlngWidth As Long
Private mlngColor As Long

Private mlngPen As Long

Public Enum enuPenStyle
    PS_SOLID = 0
    PS_DASH = 1
    PS_DOT = 2
    PS_DASHDOT = 3
    PS_DASHDOTDOT = 4
    PS_NULL = 5
End Enum

Public Property Get GetPen() As Long

    GetPen = mlngPen

End Property

Public Property Get GetWidth() As Long

    GetWidth = mlngWidth

End Property

Public Property Get GetColor()

    GetColor = mlngColor

End Property

' Stift erzeugen
Public Function Create( _
    ByVal venuPenStyle As enuPenStyle, _
    ByVal vlngWidth As Long, _
    ByVal vlngColor As Long) As Boolean

    
    ' es wurde bereits ein Pen erzeugt -> alten entfernen
    If mlngPen <> 0 Then
        Delete
    End If

    ' Pen erzeugen
    mlngPen = CreatePen(venuPenStyle, vlngWidth, vlngColor)

    ' Eigenschaften speichern
    mlngWidth = vlngWidth
    mlngColor = vlngColor
    

    Create = True

End Function

' Stift lschen
Public Function Delete() As Boolean

    ' prfen, ob Pen existiert
    If mlngPen <> 0 Then
    
        ' Pen aus Speicher entfernen
        DeleteObject mlngPen
        
    End If


    Delete = True

End Function

Private Sub Class_Initialize()

    mlngPen = 0

End Sub

Private Sub Class_Terminate()

    ' Pen aus Speicher entfernen
    Delete

End Sub
